#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
  char *progname;		//Used to get program name
  char *filein;			//Used to get input S3 file
  char *fileout;		//Used to produce output S1 file
  FILE *fileinptr;		//Input file pointer
  FILE *fileoutptr;		//Output file pointer
  char charsin[] = {1,1}; 	//Input character array
  unsigned int is_end = 1;      //Used for end of file

  progname = *argv++;		//Get program name
  filein = *argv++;		//Get input filename
  fileout = *argv++;		//Get output filename

  fileinptr = fopen(filein,"r");	//Open input for reading
  fileoutptr = fopen(fileout,"w");	//Open output for writing

  while(is_end != EOF)
  {
    is_end = fscanf(fileinptr,"%2s",&charsin);	

    if(charsin[0] == 'S' && charsin[1] == '0')
    {
      printf("Ignored S0 header record\n");
    }

    else if(charsin[0] == 'S' && charsin[1] == '3')
    {
      charsin[0] = 'S';
      charsin[1] = '1';
      fprintf(fileoutptr,"%2s\n",charsin);
    }
  }

  fclose(fileinptr);		//Close input file
  fclose(fileoutptr);		//Close output file
  return 0;			//End of main
}
